=== debian/changelog ===
wxhexeditor (0.22+repack-2) unstable; urgency=low

  * Apply patch from upstream bug tracker fixing hex input.
  * Fix some more typos.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 29 Dec 2013 13:43:15 +0100

wxhexeditor (0.22+repack-1) unstable; urgency=low

  * First upload to Debian based on getdeb.net package
    by Christoph Korn.
  * New upstream release.
  * Repacked the upstream tarball to remove embedded copies of
    libudis86 and libmhash.
  * Port to libdisasm as libudis86 isn't yet packaged for Debian.
  * Don't link against gomp.
  * Use hardening flags.
  * Build with --as-needed to easily avoid linking against unused libraries.
  * Fix typos in the messages.
  * Remove incomplete Russian translation unsuitable for release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 11 May 2013 18:07:44 +0200
