=== debian/control ===
Source: wxhexeditor
Section: editors
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), wx2.8-headers,
 libwxbase2.8-dev, libwxgtk2.8-dev, wx-common,
 libmhash-dev, libdisasm-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/wxhexeditor

Package: wxhexeditor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hexadecimal editor for massive files
 wxHexEditor is a hexadecimal file editor suitable
 for editing very big files. Supported file size
 is up to 2^64 bytes.
