## wxhexeditor 0.23+repack

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 WXCONFIG = wx-config
+#CC ?= `$(WXCONFIG) --cc`    #this doesn't look working here properly :(
+#CXX ?= `$(WXCONFIG) --cxx`
 CC = `$(WXCONFIG) --cc`
 CXX = `$(WXCONFIG) --cxx`
-CFLAGS = -O2
-CXXFLAGS = -O2
-WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -O2 -c ${OPTFLAGS}
-WXLDFLAGS = `$(WXCONFIG) --libs`
+LDFLAGS += -lgomp
+#add this ldflags for WinConsole  "-Wl,--subsystem,console -mconsole" for win-debug
+WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp
+WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
 RC = `$(WXCONFIG) --rescomp`
 #RC = x86_64-w64-mingw32-windres --define WX_CPU_AMD64
 RCFLAGS = `$(WXCONFIG) --cxxflags | sed s/' '-m.*//g;`
@@ -26,7 +28,7 @@
 LIBS = udis86/libudis86/.libs/libudis86.a mhash/lib/.libs/libmhash.a
 OBJECTS=$(SOURCES:.cpp=.o)
 DEPENDS=$(OBJECTS:.o=.d)
-LANGUAGEDIRS=tr ru
+LANGUAGEDIRS=`ls -l ./locale | grep ^d | sed s/.*\ //g;`
 LANGUAGES=$(wildcard locale/*/wxHexEditor.po)
 RESOURCES= resources/resource.rc
 RESOURCE_OBJ=$(RESOURCES:.rc=.o)
@@ -39,7 +41,7 @@
 DATADIR     = $(PREFIX)/share
 LOCALEDIR   = $(DATADIR)/locale
 
-VERSION = 0.22 Beta
+VERSION = 0.23 Beta
 
 all:$(EXECUTABLE) langs
 
@@ -48,10 +50,10 @@
 MOBJECTS=$(LANGUAGES:.po=.mo)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lgomp -o $@
+	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
 
 .cpp.o: $(LIBS)
-	$(CXX) $(WXCXXFLAGS) ${CXXFLAGS} $< -o $@
+	$(CXX) -c $(WXCXXFLAGS) $(OPTFLAGS) $(CXXFLAGS) $(CPPFLAGS) $< -o $@
 
 %.o : %.rc
 	$(RC) $(RCFLAGS) $< -o $@
@@ -63,27 +65,29 @@
 
 udis86/libudis86/.libs/libudis86.a:
 	cd udis86;./autogen.sh
-	cd udis86;./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+	cd udis86;./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 	cd udis86/libudis86; $(MAKE) $(MFLAGS)
 
 mhash/lib/.libs/libmhash.a:
-	cd mhash; ./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+	cd mhash; ./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 	cd mhash; $(MAKE) $(MFLAGS)
 
 win: $(RESOURCES) $(EXECUTABLE_WIN)
 
 #Stack override required for file comparison function...
 $(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ)
-	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
+	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
 
 maclink: $(OBJECTS)
-	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lexpat -lgomp -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
+	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
 
-mac: maclink langs
+mac: prepmacdir maclink
+	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
+
+prepmacdir: langs
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/MacOS
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/Resources
-	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
 	install -m 644 resources/wxHexEditor.icns $(EXECUTABLE_DIR_MAC)/Contents/Resources/
 	printf "APPLHexE" > $(EXECUTABLE_DIR_MAC)/Contents/PkgInfo
 	printf "\
@@ -104,7 +108,7 @@
 \t<string>wxHexEditor.icns</string>\n\
 \
 \t<key>CFBundleIdentifier</key>\n\
-\t<string>net.sourceforge.wxhexeditor</string>\n\
+\t<string>org.wxhexeditor.www</string>\n\
 \
 \t<key>CFBundleShortVersionString</key>\n\
 \t<string>v$(VERSION)</string>\n\
@@ -125,7 +129,7 @@
 \t<string>1.0.0</string>\n\
 \
 \t<key>DRURLs</key>\n\
-\t<string>http://wxhexeditor.sourceforge.net</string>\n\
+\t<string>http://www.wxhexeditor.org</string>\n\
 \
 \t<key>NSMainNibFile</key>\n\
 \t<string>wxHexEditor</string>\n\
@@ -139,11 +143,11 @@
 </dict>\n\
 </plist>\n\n" > $(EXECUTABLE_DIR_MAC)/Contents/Info.plist
 	@for i in $(LANGUAGEDIRS); do \
-		echo "mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i/"; \
-		mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i; done
+		echo "mkdir -p $(EXECUTABLE_DIR_MAC)p/Contents/Resources/locale/$$i/"; \
+		mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i; done
 	@for i in $(LANGUAGEDIRS); do \
-		echo "cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/"; \
-		cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/; done
+		echo "cp locale/$$i/wxHexEditor.mo $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i/"; \
+		cp locale/$$i/wxHexEditor.mo $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i/; done
 
 install:
 	install -D -m 755 $(EXECUTABLE) $(DESTDIR)/$(BINDIR)/$(EXECUTABLE)
