=== debian/changelog ===
wxhexeditor (0.23+repack-3) unstable; urgency=medium

  [ Juhani Numminen ]
  * Fix FTBFS with GCC-7 due to an ambiguous call to abs() (Closes: #853708).

  [ Andy Whitcroft ]
  * Reorder the link arguments to avoid FTBFS against libgomp.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 14 Sep 2018 18:27:02 +0200

wxhexeditor (0.23+repack-2) unstable; urgency=medium

  * Merge wxWidgets 3.0 changes from NMUs by Olly Betts.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 10 Jun 2015 08:30:31 +0200

wxhexeditor (0.23+repack-1) unstable; urgency=medium

  * New upstream release.
  * Remove new upstream version check (Closes: #785248).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 10 Jun 2015 06:41:05 +0200

wxhexeditor (0.22+repack-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix to build on arm* (new patch 11-wx3.0-fix-ftbfs-on-arm.patch).

 -- Olly Betts <olly@survex.com>  Mon, 14 Apr 2014 09:46:27 +1200

wxhexeditor (0.22+repack-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Thu, 10 Apr 2014 13:40:16 +1200
