=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wxhexeditor
 Section: editors
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), wx2.8-headers,
- libwxbase2.8-dev, libwxgtk2.8-dev, wx-common,
+Maintainer: Andrej Shadura <andrewsh@debian.org>
+Build-Depends: debhelper (>= 9),
+ libwxgtk3.0-dev,
  libmhash-dev, libdisasm-dev
 Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/wxhexeditor
