=== debian/watch ===
version=3
http://sf.net/wxhexeditor/wxHexEditor-v([\d.]+)-src\.tar\.bz2
