## wxhexeditor 0.24%2Brepack

=== debian/changelog ===
wxhexeditor (0.24+repack-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (Closes: #893710).
  * Refresh patches.

  [ Ondřej Nový ]
  * d/control: Add Vcs-* field.
  * d/watch: Use https protocol.

  [ Helmut Grohne ]
  * Fix makefile dependencies for cross building (Closes: #909686).

  [ Andrej Shadura ]
  * Switch to the wxWidgets GTK 3 package (Closes: #933432).
  * Update debian/watch to point to the GitHub upstream.
  * Convert debian/copyright to the machine-readable format.
    - Add file exclusion patterns for mhash and udis86.
  * Refresh the rest of patches.
  * Don’t build with an explicit -O2 and NDEBUG.
  * Use dh compat level 12.
  * Bump Standards-Version to 4.4.0.
  * Update the Homepage.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 27 Aug 2019 18:47:37 +0200
