## wxhexeditor 0.24+repack

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,15 @@
-WXCONFIG = wx-config
-#CC ?= `$(WXCONFIG) --cc`    #this doesn't look working here properly :(
-#CXX ?= `$(WXCONFIG) --cxx`
-CC = `$(WXCONFIG) --cc`
-CXX = `$(WXCONFIG) --cxx`
+WXCONFIG ?= wx-config
+HOST=
+WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp -Wall -O2
+WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
+WXCXXFLAGS += -fopenmp
 LDFLAGS += -lgomp
 #add this ldflags for WinConsole  "-Wl,--subsystem,console -mconsole" for win-debug
-WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp
-WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
+#LDFLAGS += -Wl,--subsystem,console -mconsole
 RC = `$(WXCONFIG) --rescomp`
 #RC = x86_64-w64-mingw32-windres --define WX_CPU_AMD64
 RCFLAGS = `$(WXCONFIG) --cxxflags | sed s/' '-m.*//g;`
 MSGFMT = msgfmt
-
-HOST=
 SOURCES= src/HexEditorGui.cpp \
 			src/FAL.cpp\
 			src/HexDialogs.cpp\
@@ -36,12 +33,17 @@
 EXECUTABLE_WIN=$(EXECUTABLE).exe
 EXECUTABLE_DIR_MAC=$(EXECUTABLE).app
 
-PREFIX      = /usr/local
+PREFIX      = /usr
 BINDIR      = $(PREFIX)/bin
 DATADIR     = $(PREFIX)/share
 LOCALEDIR   = $(DATADIR)/locale
 
-VERSION = 0.23 Beta
+VERSION = 0.24 Beta
+
+.DEFAULT_GOAL := all
+
+clang: CXX=clang++ -D_Bool=bool -std=c++11 -lomp
+clang: all
 
 all:$(EXECUTABLE) langs
 
@@ -50,13 +52,16 @@
 MOBJECTS=$(LANGUAGES:.po=.mo)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
+	$(CXX) $(OBJECTS) ${LDFLAGS} $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
 
 .cpp.o: $(LIBS)
 	$(CXX) -c $(WXCXXFLAGS) $(OPTFLAGS) $(CXXFLAGS) $(CPPFLAGS) $< -o $@
 
 %.o : %.rc
 	$(RC) $(RCFLAGS) $< -o $@
+
+langsup:
+	tx pull
 
 langs: $(MOBJECTS)
 
@@ -65,21 +70,35 @@
 
 udis86/libudis86/.libs/libudis86.a:
 	cd udis86;./autogen.sh
-	cd udis86;./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	cd udis86;./configure --host=$(HOST) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS) ${OPTFLAGS}" CXXFLAGS="$(CXXFLAGS) ${OPTFLAGS}" CPPFLAGS="$(CPPFLAGS)"
 	cd udis86/libudis86; $(MAKE) $(MFLAGS)
 
 mhash/lib/.libs/libmhash.a:
-	cd mhash; ./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	cd mhash; ./configure --host=$(HOST) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS) ${OPTFLAGS}" CXXFLAGS="$(CXXFLAGS) ${OPTFLAGS}" CPPFLAGS="$(CPPFLAGS)"
 	cd mhash; $(MAKE) $(MFLAGS)
 
-win: $(RESOURCES) $(EXECUTABLE_WIN)
+src/windrv.o:
+	$(CXX) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXCXXFLAGS) $(WXLDFLAGS) ${LDFLAGS} -c src/windrv.cpp -o src/windrv.o
+
+win_debug: LDFLAGS += -Wl,--subsystem,console -mconsole
+win_debug: win
+
+host_test:
+ifeq ($(HOST),)
+		echo "Cross-Compiling host NOT detected."
+else
+CC = $(shell echo `$(WXCONFIG) --cc`)
+CXX = $(shell echo `$(WXCONFIG) --cxx`)
+endif
+
+win: host_test $(RESOURCES) $(EXECUTABLE_WIN)
 
 #Stack override required for file comparison function...
-$(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ)
-	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
+$(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ) src/windrv.o
+	$(CXX) $(OBJECTS) src/windrv.o $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
 
 maclink: $(OBJECTS)
-	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
+	$(CXX) $(OBJECTS) ${LDFLAGS} $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
 
 mac: prepmacdir maclink
 	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
@@ -168,6 +187,7 @@
 	rm -f $(RESOURCE_OBJ)
 	rm -f $(DEPENDS)
 	rm -f $(EXECUTABLE)
+	rm -f src/windrv.o
 	rm -f $(EXECUTABLE_WIN)
 	rm -rf $(EXECUTABLE_DIR_MAC)
 	rm -f locale/*/wxHexEditor.mo
