=== debian/changelog ===
wxhexeditor (0.24+repack-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Name, Repository.
  * Update standards version to 4.6.0, no changes needed.

  [ Scott Talbert ]
  * Transition to wxWidgets 3.2 (Closes: #1019812)

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Dec 2022 10:14:01 +0100
