=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9),
- libwxgtk3.0-dev,
- libmhash-dev, libdisasm-dev
-Standards-Version: 3.9.4
-Homepage: http://sourceforge.net/projects/wxhexeditor
+Build-Depends:
+ debhelper-compat (= 13),
+ libwxgtk3.2-dev,
+ libmhash-dev,
+ libdisasm-dev
+Standards-Version: 4.6.0
+Homepage: https://github.com/EUA/wxHexEditor
+Vcs-Browser: https://salsa.debian.org/debian/wxhexeditor
+Vcs-Git: https://salsa.debian.org/debian/wxhexeditor.git
 
 Package: wxhexeditor
 Architecture: any
