=== debian/watch ===
version=4
https://sf.net/wxhexeditor/wxHexEditor-v([\d.]+)-src\.tar\.bz2

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wxhexeditor-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repack,repacksuffix=+repack,dversionmangle=s/\+repack$//  \
  https://github.com/EUA/wxHexEditor/releases .*/archive/v(\d[^\s\-]*)\.tar\.gz
